Skip to main content
PUT
Creates or updates a nomination as a receiver

Authorizations

Authorization
string
header
required

Access token obtained from the /oauth/token endpoint using your client credentials.

Body

application/json

Request body for creating or updating a nomination as a receiver company.

clientReference
string

Your unique identifier for the nomination within your company, used to reference the nomination in all subsequent calls.

delivery
object

Delivery information.

supplierCompanyIdentifier
string

Supplier company identifier (from Get Companies).

supplierInternalReference
null | string

Internal reference for the supplier.

supplierCompanyEntityReference
null | string

Supplier company entity reference (from Get Company Entities). Only applied for loading operations where the receiver and supplier are the same company; ignored otherwise.

receiver
object

Receiver information.

fuelSpecifications
object[]

Fuel specifications for the nomination.

stakeholders
null | object[]

Stakeholders involved in the nomination.

Response

OK

Response returned after creating or updating a nomination as a receiver company.

clientReference
string

Your unique identifier for the nomination within your company.

status
enum<string>

Status of the nomination after the operation.

Possible values:

  • supplier_requested — Supplier has been requested for this nomination.
  • supplier_unassigned — Nomination has no supplier assigned.
  • supplier_assigned — Supplier has been assigned to the nomination.
  • operation_started — Bunkering operation has started.
  • cancelled — Nomination has been cancelled.
  • accepted — Nomination has been accepted by the supplier.
  • amended — Nomination has been amended. Not currently returned as a nomination's current status; accept it for forward compatibility.
Available options:
supplier_requested,
supplier_unassigned,
supplier_assigned,
operation_started,
cancelled,
accepted,
amended
lastChangedAtUtc
string<date-time>

UTC timestamp of the last change to the nomination.